#ifndef GLText_h
#define GLText_h
/********************************************************************************
*                                                                               *
*                           G L  T E X T  W I D G E T                           *
*                                                                               *
*********************************************************************************
* Copyright (C) 2003 Dimitris Servis.    All Rights Reserved.                   *
*********************************************************************************
* This library is free software; you can redistribute it and/or                 *
* modify it under the terms of the GNU Lesser General Public                    *
* License as published by the Free Software Foundation; either                  *
* version 2.1 of the License, or (at your option) any later version.            *
*                                                                               *
* This library is distributed in the hope that it will be useful,               *
* but WITHOUT ANY WARRANTY; without even the implied warranty of                *
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU             *
* Lesser General Public License for more details.                               *
*                                                                               *
* You should have received a copy of the GNU Lesser General Public              *
* License along with this library; if not, write to the Free Software           *
* Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA.    *
*********************************************************************************
* for any information, contact servis@deslab.ntua.gr                            *
*********************************************************************************
* This widget would not have been realised without the FOX library power        *
* and the patience and help of Jeroen van der Zijp                              *
********************************************************************************/
#include "GLViewer.h"
#include "GLWidgets.h"
#include "GLObject.h"

// ************************************************************  
// ****		N A M E S P A C E		G L W			START  ****
namespace GLW
{
// ************************************************************  
class FXAPI GLText : public GLObject
{
  FXDECLARE(GLText)
  FXFont* font;
  GLuint list;
protected:
	GLText();
public:
	~GLText(){delete font;}
	GLText(FXApp* app);
  /// Called by the viewer to get bounds for this object
	void				bounds(FXRange& box);

  /// Draw this object in a viewer
//	void				draw(GLViewer* viewer);
	void				drawText(GLViewer* viewer,const char* fmt, float posx, float posy,float posz, ...);
	void				drawText(GLViewer* viewer,const char* fmt, GLdouble* v, ...);

  };



// ************************************************************  
// ****		N A M E S P A C E		G L W			END    ****
}
// ************************************************************  
#endif
